<?php
class ModelTotalShipping extends Model {
	public function getTotal(&$total_data, &$total, &$taxes) {
		if ($this->cart->hasShipping() && isset($this->session->data['shipping_method'])) {
			$nieuw	= $this->session->data['shipping_method']['title'] ;	// haal titel verzendmethode uit de sessie
				If (stristr($nieuw,'<br />')) {								// check voor eerste nieuwe regel. Niet aanwezig, dan door naar regel 10
				$verwijder = stristr($nieuw,'<br />');						// vul variabele met alles wat achter de <br> zit
				$nieuw = str_ireplace($verwijder , '', $nieuw) ;			// vervang de totale titel met alleen het deel voor de nieuwe regel
				}
			$nieuw = $nieuw  . ' (excl. BTW)' . ':';						// voeg de excl. btw toe 
			
			$total_data[] = array( 
				'code'       => 'shipping',
        		/* 'title'      => $this->session->data['shipping_method']['title']  . ':',*/ 				// originele code
				'title'      => $nieuw,										// aangepaste titel
        		'text'       => $this->currency->format($this->session->data['shipping_method']['cost']),
        		'value'      => $this->session->data['shipping_method']['cost'],
				'sort_order' => $this->config->get('shipping_sort_order')
			);

			if ($this->session->data['shipping_method']['tax_class_id']) {
				if (!isset($taxes[$this->session->data['shipping_method']['tax_class_id']])) {
					$taxes[$this->session->data['shipping_method']['tax_class_id']] = $this->session->data['shipping_method']['cost'] / 100 * $this->tax->getRate($this->session->data['shipping_method']['tax_class_id']);
				} else {
					$taxes[$this->session->data['shipping_method']['tax_class_id']] += $this->session->data['shipping_method']['cost'] / 100 * $this->tax->getRate($this->session->data['shipping_method']['tax_class_id']);
				}
			}
			
			$total += $this->session->data['shipping_method']['cost'];
		}			
	}
}
?>